using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class WebUserControl : System.Web.UI.UserControl
{
        
        protected void Page_Load(object sender, EventArgs e)
        {
            //lblPageLoadTime.Text = "This page was loaded at: " + DateTime.Now.ToString();
            GenerateUploadForm();
        }

        protected void GenerateUploadForm()
        {
            // if querystring parameter "MODE" is set to "IFRAME" 
            // then just display file upload panel (pnlFileUpload) and hide everything else
            //string mode = Request.QueryString["MODE"];
            //if (mode != "IFRAME")
            //    return;
            //pnlAjax.Visible = false;
            //pnlIFrame.Visible = false;
            //lblPageLoadTime.Visible = false;
            //pnlFileUpload.Visible = true;
            if (!IsPostBack)
                Session["UploadedDocumentsList"] = null;
        }

        protected void btnUploaded_Click(object sender, EventArgs e)
        {
            if (Session["UploadedDocumentsList"] == null)
                return;
            //display list of files uploaded in the listbox
            ArrayList FilesArray = ((ArrayList)Session["UploadedDocumentsList"]);
            lstFilesList.DataSource = FilesArray;
            lstFilesList.DataBind();
        }

}
